#ifndef __window_h
#define __window_h
#include <QMainWindow>
#include <QWidget>
#include <QCloseEvent>
#include "config.h"

class MainWindow : public QMainWindow {
	public:
		MainWindow(QWidget* parent = nullptr);
		void SetActivePage(QWidget* page);
		void SetStyleSheet(enum Themes theme);
		void ThemeChanged();
		void closeEvent(QCloseEvent* event) override;

	private:
		QWidget* main_widget;
};

#endif // __window_h
